#ifndef CAMERA_DRIVING_PERCEPTION_ONE_CLASS_H
#define CAMERA_DRIVING_PERCEPTION_ONE_CLASS_H

#include "ara/log/logging.h"
#include "ara/exec/execution_client.h"
#include "MbufModule.h"
//#include "wrapper/camera_driving_perception_one_wrapper.h"

class CameraDrivingPerceptionOne
{
public:
    CameraDrivingPerceptionOne();
    void init();

protected:
    ara::log::Logger &logger{ara::log::CreateLogger("C_D", "SoftwareMotion Camera Driving Module", ara::log::LogLevel::kDebug)};

private:
    //CameraDrivingPerceptionOneWrapper _wrapper;
    mbuf::MbufModule mbufManager;
};

#endif /* CAMERA_DRIVING_PERCEPTION_ONE_CLASS_H */
